diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 9a1b8e0..5fc8e56 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -21477,12 +21477,6 @@ back.
       name)))))
 
 \end{chunk}
-\defun{dewritify,is?}{dewritify,is?}
-\begin{chunk}{defun dewritify,is?}
-(defun |dewritify,is?| (a)
- (eq a 'writified!!))
-
-\end{chunk}
 
 \defdollar{NonNullStream}
 \begin{chunk}{initvars}
@@ -21663,7 +21657,7 @@ back.
 (defun |dewritify| (ob)
  (let (|$seen|)
  (declare (special |$seen|))
-   (if (null (|ScanOrPairVec| (|function| |dewritify,is?|) ob))
+   (if (null (|ScanOrPairVec| #'(lambda (a) (eq a 'writified!!)) ob))
     ob
     (progn
       (setq |$seen| (make-hash-table :test #'eq))
@@ -40141,7 +40135,6 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun describeSpad2Cmd}
 \getchunk{defun dewritify}
 \getchunk{defun dewritify,dewritifyInner}
-\getchunk{defun dewritify,is?}
 \getchunk{defun diffAlist}
 \getchunk{defun digit?}
 \getchunk{defun digitp}
diff --git a/changelog b/changelog
index 9f13bbf..6f33e1d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20110705 tpd src/axiom-website/patches.html 20110705.01.tpd.patch
+20110705 tpd books/bookvol5 remove dewriteify,s inner function
 20110605 tpd src/axiom-website/patches.html 20110605.01.tpd.patch
 20110605 tpd Makefile add BUILD=full / BUILD=fast
 20110605 tpd Makefile.pamphlet add BUILD=full / BUILD=fast
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8fa3418..6b34753 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3524,5 +3524,7 @@ books/bookvol9 treeshake compiler<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20110605.01.tpd.patch">20110605.01.tpd.patch</a>
 Makefile.pamphlet add BUILD=full / BUILD=fast<br/>
+<a href="patches/20110705.01.tpd.patch">20110705.01.tpd.patch</a>
+books/bookvol5 remove dewriteify,s inner function<br/>
  </body>
 </html>
